Ubuntu

.goutputstream files polluting $HOME

Reported by palimmo on 2012-04-18
This bug affects 442 people
Affects Status Importance Assigned to Milestone
GLib
Fix Released
Low
Light Display Manager
Medium
Unassigned
X.Org X server
New
Undecided
Unassigned
glib2.0 (Ubuntu)
Low
Unassigned
Precise
Low
Unassigned
lightdm (Ubuntu)
Low
Unassigned
Precise
Low
Unassigned

Bug Description

.goutputstream files polluting $HOME.
Which software or operation is creating these and why?

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: xauth 1:1.0.6-1
ProcVersionSignature: Ubuntu 3.2.0-23.36-generic 3.2.14
Uname: Linux 3.2.0-23-generic x86_64
NonfreeKernelModules: nvidia & ati
ApportVersion: 2.0.1-0ubuntu4
Architecture: amd64
Date: Wed Apr 18 13:29:31 2012
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin"
ProcEnviron:
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: xauth
UpgradeStatus: No upgrade log present (probably fresh install)

Related branches

lp:~robert-ancell/lightdm/xauth-no-g_file_set_contents
Merged into lp:lightdm at revision 1675
Robert Ancell: Approve on 2013-06-10
PS Jenkins bot: Approve (continuous-integration) on 2013-06-10
palimmo (palimmo) wrote :
Fabio Marconi (fabiomarconi) wrote :

I think that is connected to bug 983059 ,sounding like your hard disk is going bad.
---
Ubuntu Bug Squad volunteer triager
http://wiki.ubuntu.com/BugSquad

Fabio Marconi (fabiomarconi) wrote :

oops, i mean bug 795760
---
Ubuntu Bug Squad volunteer triager
http://wiki.ubuntu.com/BugSquad

palimmo (palimmo) wrote :

I don't think so.. Several persons have the same problem.
http://ubuntuforums.org/showthread.php?t=1938825

And.. what do you mean with "sounding like your hard disk is going bad"? Could you explain in the other bug page?
thanks!

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in ubuntu:
status: New → Confirmed
Lucazade (lucazade) wrote :

same here, not a hw problem

Thank you for taking the time to report this bug and helping to make Ubuntu better. It seems that your bug report is not filed about a specific source package though, rather it is just filed against Ubuntu in general. It is important that bug reports be filed about source packages so that people interested in the package can find the bugs about it. You can find some hints about determining what package your bug might be about at https://wiki.ubuntu.com/Bugs/FindRightPackage. You might also ask for help in the #ubuntu-bugs irc channel on Freenode.

To change the source package that this bug is filed about visit https://bugs.launchpad.net/ubuntu/+bug/984785/+editstatus and add the package name in the text box next to the word Package.

[This is an automated message. I apologize if it reached you inappropriately; please just reply to this message indicating so.]

tags: added: bot-comment
palimmo (palimmo) on 2012-04-18
affects: ubuntu → nautilus (Ubuntu)
Daniel Cordeiro (dcordeiro) wrote :

What to do when the right package for the bug cannot be easily determined?

I don't known which package causes the bug (I don't think it is nautilus). A comment in the Ubuntu forum [http://ubuntuforums.org/showpost.php?p=11853341&postcount=13] suggests that it could be caused by gtk-recordmydesktop and file-roller.

palimmo (palimmo) wrote :

gtk-recordmydesktop isn't installed on my machine.

bobhuber (bobhuber-tampabay) wrote :

gtk-recordmydesktop isn't installed on my machine either. I also am not sure which package is causing this .

Herbert Thielen (thielen) wrote :

Seems to have something to do with X11 authorization, maybe lightdm?

$ ls -l .goutputstream-AYQHDW
-rw------- 1 itsme itsme 4201 Apr 27 12:21 .goutputstream-AYQHDW

$ file .goutputstream-AYQHDW
.goutputstream-AYQHDW: X11 Xauthority data

Herbert Thielen (thielen) wrote :

Seems not to be caused by lightdm - the files are not created every time during login.

I suspect Dropbox to be the source of the problem. As recordmydesktop is not installed on my Computer and I do not use fileroller every day, but the files date back to - as far as I can remember - the day I installed the Dropbox-Nautilus-Integration.
Pakage is: nautilus-dropbox 0.7.1-2 from repos.
BB

Franz Schnetzinger (schnetf) wrote :

I have the same problem:
.goutputstream-XXXXXX files appear in Nautilus.

I neither have Dropbox, fileroller, nor gtk-recordmydesktop installed.

I noticed the bug today when syncing files via Ubuntu One. When I edit (Gedit) and sync it to my other PC it appears as .goutputstream-XXXXXX file. This also applies to files I had on the computer for some time. They are "renamed" into the described filename.

Daniel Cordeiro (dcordeiro) wrote :

Hum, I just saw that all my .goutputstream-* files have exactly 51 bytes.
They all are binary files and:

$ file .goutputstream-XXXXXX
.goutputstream-XXXXXX: X11 Xauthority data

$ strings .goutputstream-XXXXXX:
<my localhostname>
MIT-MAGIC-COOKIE-1

cheribibi (sergebricole) wrote :

Same problem: many files .goutputstream -XXXXXX squat my /home.
(Precise Pangolin 64 bit)

The problem disappear (in my case) removing all package UbuntuOne from Synaptic.

Daniel Cordeiro (dcordeiro) wrote :

I uninstalled all Ubuntu One packages yesterday and today I have one .goutputstream file on my $HOME. :(

JustinChuTw (justin-chu) wrote :

I also have this problem. I begin to notice .goutputstream-* files appearing in /home after upgrading to Ubuntu 12.04 LTS Precise Pangolin 32 bit (fresh install). Deleting all of the .goutputstream-* files from /home do not seem to affect my system but they keep reappearing. I do not have gtk-recordmydesktop, fileroller or Dropbox installed on my computer. As suggested in the posts above, I have removed/uninstalled all the Ubuntu One packages, and similar to Daniel, I still have one .goutputstream-* file in /home when I turn on my computer this morning.

cheribibi (sergebricole) wrote :

Hey guys,

I confirm: before 3 days of intensive computer use without UbuntuOne, i have now just ONE file .goutputstream- xxxxxx in /home. ( With UbuntuOne installed, in 2-3 days of use, i have easily 10 goutputstream files).

At this point, I think the strategy "Remove Ub.One, Wait and Say" can be to consider.
?

cheribibi (sergebricole) wrote :

Edit: sorry for my bad English... Correction of my precedent message: evidently, you have to replace "Before" with "After"

IMBJR (imbjr) wrote :

This also affects Thunar not just Nautilus.

Krino Hoogestraat (krino) wrote :

Same with me: Affects Thunar (Final Release – Xubuntu 12.04 LTS Precise Pangolin).

Scott Moore (scottbomb) wrote :

I second IMBJR (imbjr). I use Xubuntu 12.04. I never saw these in 11.10. My home directory is also polluted with many of these .goutputstream-XXXXXX in Thunar. They also appear in the CLI so it's not a GUI browser problem. I don't know what is creating these but I will investigate. I'm tempted to delete them, yet I'm afraid that if I do, I could break something else that depends upon them.

Scott Moore (scottbomb) wrote :

They are data files of some kind. Not viewable in a text editor.

JustinChuTw (justin-chu) wrote :

After removing/uninstalling all Ubuntu One packages as suggested by cheribibi and Daniel in posts #16 and #17 respectively, I now see only one new .goutputstream-* file in my /home every morning when I turn on my computer. The Properties of all my .goutputstream-* files show that their size is 0 bytes and opening the files with gedit show that they are blank. I have moved my .goutputstream-* files to Trash, kept them there for a couple of days, then deleted them and it does not appear to have any affect on the normal performance of my system.

Hope someone who is familiar with Ubuntu ... and its variants ... will look into this problem as it is quite frustrating to see these apparently useless files appearing everyday.

Karolis (reklamukibiras) wrote :

nautilus/thunar/terminal .... doesn't matter where you view it. it does not affect nautilus as currently states. more like systemic ubuntu stuff here

i don't have dropbox, file roller, ubuntu one, nautilus (thunar for me).

`ls -al | grep goutput` gives me this:
-rw------- 1 mdm mdm 51 May 9 16:34 .goutputstream-2KCWDW
-rw------- 1 mdm mdm 51 May 10 20:39 .goutputstream-AVK3DW
-rw------- 1 mdm mdm 51 May 10 02:45 .goutputstream-CAJ7DW
-rw------- 1 mdm mdm 51 May 7 00:22 .goutputstream-EXDSDW
-rw------- 1 mdm mdm 51 May 6 19:44 .goutputstream-FV9TDW
-rw------- 1 mdm mdm 51 May 10 04:28 .goutputstream-GZZYDW
-rw------- 1 mdm mdm 51 May 11 14:52 .goutputstream-L6OUDW
-rw------- 1 mdm mdm 51 May 9 15:57 .goutputstream-ODM4DW
-rw------- 1 mdm mdm 51 May 8 14:25 .goutputstream-RYD1DW
which seems a lot like my computers startup times.. (or was it shutdowns?, i'll check it sometime..)

if i run `strings` on any file i get:
<hostname>
MIT-MAGIC-COOKIE-1
sg]|

all the three lines are the same for all files. I would notice the "DW" on the end of each file name. does it have something to do with "doubleword"?
before finding this bug report i was blaming gstreamer for making these files, now i'm in doubt. i've had it all the time 12.04, beta 12.04 and 11.10, running xubuntu, can't remember about ubuntu

Karolis (reklamukibiras) wrote :

ok so i checked it with a stopwatch and it seems that upon confirmation of shutdown the file is being created

Karolis (reklamukibiras) wrote :

really sorry for tripleposting, but on the fly bug research lead me to this:

the bug is related to "X Window authorization" or "xauth"
according to wikipedia a cookie based access:
"These cookies are created by a separate program and stored in the file .Xauthority in the user's home directory, by default."
if i run `strings .Xauthority` i get almost the same as in .goutputstream*DW:
<3 identical lines (check two posts up)>
<2 lines that repeats the first two>

question remains - how do these .Xauthority get's partially duplicated into bunch of .goutputstream* on every shutdown?

Karolis (reklamukibiras) on 2012-05-12
affects: nautilus (Ubuntu) → xauth (Ubuntu)
Karolis (reklamukibiras) on 2012-05-12
description: updated
JustinChuTw (justin-chu) wrote :

Please refer to this post in Ubuntu Forums [ http://ubuntuforums.org/showthread.php?s=1d2ac9348c57a7d3aad06a89da3f0be9&t=1973925&highlight=.goutputstream ].

I followed the advise given in Post #5 of the above by logging out before re-starting or shutting down my computer and .goutputstream-* files stop appearing when I start my computer this morning.

Sebastien Bacher (seb128) wrote :

reassigning to nautilus, it's not likely an xauth issue, rathr a GNOME one (though not likely nautilus itself)

Changed in xauth (Ubuntu):
importance: Undecided → Low
affects: xauth (Ubuntu) → nautilus (Ubuntu)
Changed in nautilus (Ubuntu Precise):
status: New → Confirmed
importance: Undecided → Low
milestone: none → precise-updates
Mark Rowland (mrowland) wrote :

Google shows instances of this bug going back to at least 2009. I had 19 of these files covering the first 13 days of May, starting when I installed Pangolin and ending when I installed Mint 12/Cinnamon to overcome an intractable printer problem. In my case all 19 files were zero bytes.

Daniel Cordeiro (dcordeiro) wrote :

I have been using Ubuntu for several years (and on several machines) and never had this problem before.

I have the same issue as everyone else, nothing much else to add. I don't recall these being generated in prior Ubuntu versions.

Just a thought since others have suggested removing Ubuntu one solves the problem and others that logging out before shutdown does. It would seem something needs to be changed with how shutdown stops U1. Just a thought.

mazurkin (mazurkin) wrote :

I see no any .goutputstream files any more. I did nothing just installed all pending updates.

DeBa (d-baurichter) wrote :

Summary of previous comments:
- blank files (#25, #31) or partial copies of .Xauthority (#11, #15, #26 / #28, mine too)
- in Ubuntu and Xubuntu (files shown by Nautilus, Thunar and ls; no file manager problem)
- created on direct shutdown (but not logout -> shutdown)

Workaround: put 'sh -c "rm ~/.goutputstream-*"' (without the single quotes) into autorun

My Software:
- Ubuntu 12.04 amd64 (up-to-date)
- file-roller installed but usually not running (also not running on shutdown: see below)
- No gtk-recordmydesktop, Dropbox or UbuntuOne.

I tried to find out which software is creating these files. I used (e.g.) inotifywait (package inotify-tools) and lsof, but it didn't work out. Probably the .goutputstream-* files are open only very short (too short for my script to catch it although run with niceness -19).

Then I simply logged all processes running with my UID (1000) in an endless loop (i.e. until the script was terminated because of shutdown). I'll attach the script and its shortened output (removed duplicate blocks with no changes in process list and many blocks at the beginning).

The output also contains a line stating "FILE CREATED!!!" when the ~/.goutputstream-* file is created. Just before / after this gnome-session quits and lightdm is started by UID 1000 (not root as usual). I don't know, why it is started, but it is also the next process which quits.

lightdm also uses the ~/.Xauthority file. See
strings `which lightdm` | grep -iE 'output|xauth'
and the source code of lightdm:
grep -ri xauthority /path/to/source/of/lightdm-1.2.1/src/

lightdm is used by Ubuntu and Xubuntu, but not Kubuntu. This fits to the previous comments.

Maybe also related: GIO (part of glib)
http://developer.gnome.org/gio/2.30/GOutputStream.html

Get own processes using this:
ps -o comm= -U 1000 -u 1000 | while read cmd; do file=$(which "$cmd") || file=$(locate -b "$cmd*"); strings -af $file | grep -E ': g.*output.*stream'; done > search.out

I assume it's a problem with lightdm, but I can't fix it. I hope my information helps.

DeBa (d-baurichter) wrote :
Sebastien Bacher (seb128) wrote :

Thank you for the debug work those informations seem useful indeed ... is that specific to one of the lightdm greeters?

> Just before / after this gnome-session quits and lightdm is started by UID 1000 (not root as usual). I don't know, why it is started, but it is also the next process which quits.

do you mean that it happens at logout?

DeBa (d-baurichter) wrote :

> is that specific to one of the lightdm greeters?

I don't know if it's specific to unity-greeter. Maybe an Xfce / LXDE user can try the script I attached. There are also some Xubuntu users which commented on this bug.

For those who want to try my script: You should start it only just before requesting shutdown or restart. It produces a lot of output into the logfile (more time -> more output).

> do you mean that it happens at logout?

It happened on shutdown. It seems that makes a difference here (between logout and shutdown I mean; see comment #29).

I did this:
- rm ~/.goutputstream-*
- start ps-log.sh: sudo -b nice -n -19 sh ./ps-log.sh
- start gnome-session-quit --power-off and click on "Shutdown" (This should be the same as top-right button in Unity -> Shutdown -> Shutdown.)

After restarting my computer I looked into ps-log.out:
...
COMMAND
gnome-session
...
FILE CREATED!!! <-- This is the point where my script first sees an ~/.goutputstream-* file.
COMMAND
lightdm
...

Karolis (reklamukibiras) wrote :

very nice Dennis ;)
definitely not specific to unity-greeter. xfce4-session on xubuntu12.04 produces this from Dennis script:
http://paste.ubuntu.com/999606/
really don't have the time now to dig into this but i'll check back with it later in more detail

DeBa (d-baurichter) wrote :

Thank you Karolis! I downloaded your file and merged the duplicate blocks (search + replace). It's 330 lines now, instead of 3900.

Here are the diffs:
$ diff PART1 PART2
2c2
< sh
---
> lightdm # LightDM start
$ diff PART2 PART3 # "FILE CREATED!!!" is between these two (empty diff)
$ diff PART3 PART4
2d1
< lightdm # LightDM end
$ diff PART4 PART5
5d4
< xfconfd
11d9
< xfsettingsd
14d11
< gvfsd
$ diff PART5 PART6
7d6
< xfwm4
# ... and so on (only processes quitting or becoming "<defunct>" and then quitting)

When I ran my script lightdm appeared right after "FILE CREATED!!!", but it probably spawned a bit earlier, i.e. right before .goutputstream-* is created. It was also the first process to quit after the creation of .goutputstream-*.

Now, in a Xfce session, we have lightdm spawning right before .goutputstream-* is created and quitting afterwards again.

It's not a proof, but an indication.

And I have no clue why it is started (by user 1000!) at all ...
Anybody else?

affects: nautilus (Ubuntu) → lightdm (Ubuntu)
Changed in lightdm (Ubuntu Precise):
assignee: nobody → Robert Ancell (robert-ancell)
security vulnerability: no → yes
security vulnerability: yes → no
visibility: public → private
visibility: private → public
Changed in glib:
importance: Unknown → Low
status: Unknown → New
Changed in glib2.0 (Ubuntu):
importance: Undecided → Low
Changed in glib2.0 (Ubuntu Precise):
importance: Undecided → Low
Changed in glib2.0 (Ubuntu Precise):
status: New → Confirmed
Changed in glib2.0 (Ubuntu):
status: New → Confirmed
tags: added: quantal
Alan (alanjas) on 2012-11-05
tags: added: raring
52 comments hidden view all 132 comments
KSSG (kssg) wrote :

I am affected by this after I upgraded to 12.10. Not a major issue but would like to know what it is.

William Engisch (engisch) wrote :

I have this bug with my Dell M1330 laptop that is running Xubuntu 12.04 64bit with Thunar as my file manager. It appears that it has nothing to do with file manager. I remember when I fresh installed, I had some problems with lightdm causing slow booting that I fixed with a patch: http://ubuntuforums.org/showthread.php?t=1970326&page=5. All of my .goutstream-* files seem to be associated with shutdown. For now I'm just periodically deleting the files when I notice a stack of them, but it would be nice to get a real fix for this. I'd rather not autorun a script to delete these benign files, but that is a temporary workaround. Hope this information helps in the quest to nail down this minor issue.

Craig Magina (craig.magina) wrote :

I see this bug on my Kubuntu 12.10 amd64 installation. I also saw it on my Kubuntu 12.04 amd64 installation. Both times I was using Lightdm and Ubuntu One.

JustinChuTw (justin-chu) wrote :

I also want to confirm that this bug is still around in Ubuntu 12.10 Quantal Quetzal.

Until such time that a REAL fix is found, my workaround to prevent these .goutputstream-* files from overwhelming my /home is to "Log Out" before re-starting or shutting down my computer.

Paddy Landau (paddy-landau) wrote :

I searched my computer and found that these files are also present in /var/lib/lightdm, created by user lightdm.

Look at bug #728700. The submitter of that bug thinks that this is caused by failed copies, but I have been unable to duplicate this.

Paddy Landau (paddy-landau) wrote :

Further comments in bug #728700 led me to searching Google.

It appears that LightDM may be a red herring for this problem.

It seems to be (as far as I can tell — I may be wrong) that this is caused by glib when cancelling a file being copied, as per comment #60 and others.

Steve Sauls (steve.sauls) wrote :

I have the same issue and I have a brand new Lenovo laptop with a fresh install of 12.10 on it. I just deleted all of my .goutputstream-* files and I am going to watch it to see if I can determine when they are created. So this is not a hardware problem or 3rd party software issues. It is happening with a clean install on a new laptop.

Happens in Raring too. I have a command in /etc/rc.local to run:

rm /home/andy/.goutputstream-*

each boot

On 12/01/2012 07:39 PM, actionparsnip wrote:
> Happens in Raring too. I have a command in /etc/rc.local to run:
>
> rm /home/andy/.goutputstream-*
>
> each boot
>

@actionparsnip , I have the same command at my start-up applications (no
rc.local needed as no root privileges needed to remove these files)

Changed in glib:
status: New → Fix Released
Sebastien Bacher (seb128) wrote :

upstream commited a fix to git if somebody wants to try the change:
http://git.gnome.org/browse/glib/commit/?id=afdb2abb13896a3d5caecabd2f7158e8047f9956

Changed in lightdm (Ubuntu Precise):
assignee: Robert Ancell (robert-ancell) → nobody
Changed in lightdm (Ubuntu):
status: Confirmed → Invalid
Changed in lightdm (Ubuntu Precise):
status: Confirmed → Invalid
Changed in glib2.0 (Ubuntu):
status: Confirmed → Fix Committed
Changed in glib2.0 (Ubuntu Precise):
status: Confirmed → Triaged
Ziawiki (ziawiki) wrote :

These .goutputstream-xxx files get created everytime Ubuntu 12.04 shuts down or starts up.

I tried to fresh install several Ubuntu 12.04 flavors on several laptops and desktops to check this behavior, and it happens with ALL distros based on Ubuntu (Kubuntu, Xubuntu, UbuntuStudio, Mint, etc.).

I noticed that every time there is a file write activity, a temporary .goutputstream-xxx is created in the folder where this file write activity accours.

Say i copy a file from ~/Downloads to ~/Documents, in the ~/Documents folder there is a temporary .goutputstream-xxx file created which gets automatically deleted when the copy action finishes.

In the $HOME folder seems that these temporary .goutputstream-xxx files are not cleaned up when the Ubuntu system starts up or shuts down.

I normally run a start up script that automatically deletes these .goutputstream-xxx files in my $HOME, but it would be better if the bug that causes this is fixed.

This only happens in *buntu 12.04 not earlier.

I haven't tried 12.10.

Have the same issue. All the files have 0 bytes but also contains "1" text inside. Date of creation seems to be same as shutdown. Affects me in two computers.

As reported before, all the “.goutputstream-xxxxxx” files are temporary files that GLib uses in file write activities. However, these buffer files aren't deleted when an operation was cancelled. Currently, a fix was committed for this bug (see #104).

Now, let's focus on the other part of the problem. On every session close, LightDM needs to clean ~/.Xauthority. According to #28, there can be lines in .Xauthority that shouldn't be erased, though the last line seems to stand for the current session and should be deleted when the session is closed. I don't know well how it works, but some process (most likely XAuth) is called to remove the last cookie of .Xauthority. It works fine when you only close your session, but when you shutdown from an open session, it looks like LightDM doesn't take time to close it properly before shutting the whole system down. o_O

That results in a “.goutputstream-xxxxxx” containing all the ”permanent” cookies of .Xauthority. If you delete .Xauthority, these permanent cookies will disappear, so you will only get null-sized “.goutputstream-xxxxxx”... and a much lighter .Xauthority on next reboot. ;-) And it seems to cause no other problems, according to http://forum.ubuntu-fr.org/viewtopic.php?pid=11588001#p11588001

Shouldn't temporary files be created in /tmp rather than $HOME?

Paddy Landau (paddy-landau) wrote :

@cousteaulecommandant — "Shouldn't temporary files be created in /tmp rather than $HOME?"

That depends on whether the contents are potentially private. As this is related to .Xauthority, according to nicolas-m-le-zer0, these files should go to the user's home folder.

rpr nospam (rpr-nospam) wrote :

@paddy-landau: Every application that writes to /tmp can change permissions of the files in order to limit access only to the owner of the files. Log on to Ubuntu as a guest and you'll find the complete user's home directory in the /tmp/guest-* directory.

@nicolas-m-le-zer0: You probable meant to say that comment #102 mentioned a bug fix.

Paddy Landau (paddy-landau) wrote :

@rpr-nospam — thanks for the clarification. I am aware of the permissions ability, but it is further improved if the user uses encryption on his home folder. Anyway, that is probably suitable for a separate discussion.

Regarding comment #105 by @nicolas-m-le-zer0, I have been automatically removing .Xauthority (via a logout script) when logging out since I read that comment. Unfortunately, it did not solve the problem. The .goutputstream* files were still being created and left in the home folder. I have reverted to deleting the .goutputstream* files in the logout script.

Markus Klyver (markusklyver) wrote :

Hmm...
root@XXX:~# ls -al|fgrep '.goutput'
-rw------- 1 markus markus 0 mar 7 23:54 .goutputstream-7M8PTW
-rw------- 1 markus markus 0 feb 20 22:55 .goutputstream-8BCVSW
-rw------- 1 markus markus 0 mar 11 00:21 .goutputstream-8C5ATW
-rw------- 1 markus markus 0 feb 20 15:00 .goutputstream-C4UOSW
-rw------- 1 markus markus 0 feb 22 00:02 .goutputstream-CGHSSW
-rw------- 1 markus markus 0 mar 10 20:15 .goutputstream-ELRLTW
-rw------- 1 markus markus 0 feb 23 00:43 .goutputstream-GA4QSW
-rw------- 1 markus markus 0 feb 25 00:00 .goutputstream-SPC6SW
-rw------- 1 markus markus 0 feb 20 20:34 .goutputstream-UOW5SW
-rw------- 1 markus markus 0 feb 20 18:05 .goutputstream-UV7NSW
-rw------- 1 markus markus 0 feb 20 18:26 .goutputstream-WC24SW
root@XXX:~# file .goutputstream-*
.goutputstream-7M8PTW: empty
.goutputstream-8BCVSW: empty
.goutputstream-8C5ATW: empty
.goutputstream-C4UOSW: empty
.goutputstream-CGHSSW: empty
.goutputstream-ELRLTW: empty
.goutputstream-GA4QSW: empty
.goutputstream-SPC6SW: empty
.goutputstream-UOW5SW: empty
.goutputstream-UV7NSW: empty
.goutputstream-WC24SW: empty

Why empty files?

Same problem in Aspire 5920G with Precise 32-bit with 3.2.0-39-generic-pae, all its packages updated. Unity 2D breaks frecuently. I use Grub customizer and have to change configuration with each kernell update.

Dabo Ross (daboross) wrote :

I get these a lot with ubuntu 12.10, though they aren't really a problem as I have a script run with crontab to delete them on boot
`@reboot rm ~/.goutputstream-*`
in `crontab -e`.
It has something to do with file management, I think.
just speculating, but because everyone who has these have them with some process that edits files, like Ubuntu one/dropbox, or when booting up/shutting down. What if the process that creates goutputstream for changing files hasn't fully loaded or is shut down in the middle of an operation? (just speculating).

Russian redneck (otaku-8) wrote :

IMHO making all "Shutdown" buttons in various *DEs work like "Logout then shutdown" can workaround or even fix many bugs including this one, especially for linux newbies. But it's a task of *DEs developers, not only Ubuntu/Unity ones.
Excuse me if i'm spamming.

Karolis (reklamukibiras) wrote :

For a while I thought this bug has been solved, but here I am looking at my $HOME forlder again. And what I see:

-rw------- 1 root root 103 Apr 20 10:39 .Xauthority
-rw-rw-r-- 1 user user 52 Apr 10 00:57 .Xauthority.2259UW

Now what is that second one? Reminds me of good old '.goutputstream-2259UW'. Even size is the same 52bytes, even `strings .Xauthority.2259UW` shows the same:

localhost-pc
MIT-MAGIC-COOKIE-1

One eye on strangeness, though i can't recall my actions on that timestamp

Since installing 12.10 have noticed that a warning box indicates a process is not shutting down as quickly as it should be ref signon-ui at shutdown time. This could be related to the use of Ubuntu One sign in with relation to the Backup app. If Backup is closed from desktop session an Ubuntu One sign in box appears.
After noticing the hidden goutputstream files and doing a websearch then looking here it appears there is no definite cause to this happening. Reading comment #33 did motivate me to note my own observations but do not have programming experience to help identify what is the actual cause of the goutputstream files in home folder. Ref https://bugs.launchpad.net/ubuntu/+source/lightdm/+bug/984785/comments/33 Have noticed these hidden files but did not see them as problem until reading some of the comments here referring to this possibly being a security issue.

t0m5k1 (tom-tomsbox) wrote :

ok I seem to have made some head way on this & I think this file is definitely created by a bug within xauth:

┌─(t0m5k1@b0x)-(1221/pts/1)-(10:59am:16/05/13)-
└─>(%:~)
└─>> la | grep '.goutputstream-*' && strings .goutputstream-*
-rw------- 1 t0m5k1 users 44 Sep 13 2012 .goutputstream-14KUKW
-rw------- 1 t0m5k1 users 44 Sep 25 2012 .goutputstream-2BUBLW
-rw------- 1 t0m5k1 users 0 Apr 14 2012 .goutputstream-2PZXCW
-rw------- 1 t0m5k1 users 44 Sep 13 2012 .goutputstream-3MGKKW
-rw------- 1 t0m5k1 users 44 Dec 13 00:01 .goutputstream-3Q8BPW
-rw------- 1 t0m5k1 users 44 Feb 28 15:55 .goutputstream-5GBPSW
-rw------- 1 t0m5k1 users 44 Mar 9 01:15 .goutputstream-BPSMTW
-rw------- 1 t0m5k1 users 44 Aug 29 2012 .goutputstream-BY59IW
-rw------- 1 t0m5k1 users 44 Feb 19 23:55 .goutputstream-CJI2SW
-rw------- 1 t0m5k1 users 44 Mar 3 00:30 .goutputstream-EDXHTW
-rw------- 1 t0m5k1 users 44 Apr 20 15:05 .goutputstream-HL66VW
-rw------- 1 t0m5k1 users 44 Dec 15 11:08 .goutputstream-N0KDPW
-rw------- 1 t0m5k1 users 44 Dec 15 11:20 .goutputstream-X56DPW
-rw------- 1 t0m5k1 users 44 Nov 4 2012 .goutputstream-XG3ENW
MIT-MAGIC-COOKIE-1
MIT-MAGIC-COOKIE-1
MIT-MAGIC-COOKIE-1
MIT-MAGIC-COOKIE-1
MIT-MAGIC-COOKIE-1
MIT-MAGIC-COOKIE-1
MIT-MAGIC-COOKIE-1
MIT-MAGIC-COOKIE-1
MIT-MAGIC-COOKIE-1
MIT-MAGIC-COOKIE-1
MTVG
MIT-MAGIC-COOKIE-1
MIT-MAGIC-COOKIE-1
MIT-MAGIC-COOKIE-1

┌─(t0m5k1@b0x)-(1223/pts/1)-(11:02am:16/05/13)-
└─>(%:~)
└─>> man xauth
<snip>
generate displayname protocolname [trusted|untrusted]
               [timeout seconds] [group group-id] [data hexdata]

               This command is similar to add. The main difference is that instead of requiring the user to supply the key data, it connects to the server specified in displayname and uses the
               SECURITY extension in order to get the key data to store in the authorization file. If the server cannot be contacted or if it does not support the SECURITY extension, the command
               fails. Otherwise, an authorization entry for the indicated display using the given protocol is added to the authorization file. A protocol name consisting of just a single period
               is treated as an abbreviation for MIT-MAGIC-COOKIE-1.
<snip>
EXAMPLE
       The most common use for xauth is to extract the entry for the current display, copy it to another machine, and merge it into the user's authority file on the remote machine:

               % xauth extract - $DISPLAY | ssh otherhost xauth merge -

       The following command contacts the server :0 to create an authorization using the MIT-MAGIC-COOKIE-1 protocol. Clients that connect with this authorization will be untrusted.
            % xauth generate :0 .
<snip>
BUGS
       Users that have unsecure networks should take care to use encrypted file transfer mechanisms to copy authorization entries between machines. Similarly, the MIT-MAGIC-COOKIE-1 protocol is
       not very useful in unsecure environments. Sites that are interested in additional security may need to use encrypted authorization mechanisms such as Kerberos.

moko138 (tfjb321) wrote :

  Hello,
I also have.goutputstream files polluting $HOME.
But I don't use amd64 nor lightdm.
I use Lucid ubuntu 10.04-4 with gdm
Intel(R) Pentium(R) M processor 1400MHz
  Let's tell me which other informations could be useful.
Thanks

moko138 (tfjb321) wrote :

 I have to add this : I mostly have .goutputstream files also in my FAT32 personal data partition. Their content is
sometimes an intentionally pasted text (Ctrl C, Ctrl V),
sometimes a small part of a bigger txt file, but with no use of (Ctrl C, Ctrl V).

moko138 (tfjb321) wrote :

  I discovered how to reproduce the bug with Gedit and Firefox :
- Create a text file, and save it with this encoding type :
"Occidental (ISO-8859-15)"
- Type several lines in it. Save it again.
- Go to a web page with a certain encoding, UTF8 compatible, but not compatible with "Occidental (ISO-8859-15)".
- Copy a few lines including, for instance, go-to-note, or (french) "puce" (you know, that sort of symbol you can put, instead of a number or a letter, at the beginning of a line or of a paragraph, when listing items). (Sorry for my rusty english and the lack of precision).
-5) Then go back to your text file : paste the formerly copied lines from the web page, but NOT at the beginning.
- Have a look at the clock on your pc, memorize the time. Try to save your file : you get normally an error message, pointing the different encoding types. (You could save the copied text if you created for it a new UTF8 encoded file. It is not necessary for this experience.)

  Here you are ! the new .goutputstream-XYZ123 file already exists, not empty.
- Gedit, "open file", and you can see, in the dialog box, your new .goutputstream-XYZ123 file, dated when you tried unsuccessfully to save your txt file.
- If you open it, you'll find only the first "Occidental (ISO-8859-15)" lines of your file, but not the end : the saving stopped when encountering different encoding.
  In order to get a 0 ko .goutputstream-XYZ123 file, just do the same process, but, at the 5th step, paste at the very beginning.

moko138 (tfjb321) wrote :

  I made a small mistake in my #119 comment :
if I paste at the very beginning of the Occidental (ISO-8859-15) file, I do NOT get an empty file : my .goutputstream-XYZ123 contains the pasted text. I can't get intentionally an empty file.

  And one more time, I got this with a 32 bits Pentium M processor, GDM and Ubuntu 10.04 4.

Changed in lightdm:
status: New → Triaged
importance: Undecided → Medium
PS Jenkins bot (ps-jenkins) wrote :

Fix committed into lp:lightdm at revision 1675, scheduled for release in lightdm, milestone Unknown

Changed in lightdm:
status: Triaged → Fix Committed
Changed in lightdm:
milestone: none → 1.7.1
status: Fix Committed → Fix Released
Andrea (sammybuca) wrote :

Hi, I have same bug. A new .goutputstream-xxx is created at every shutdown of PC.
I use gnome-panel on ubuntu 12.04 64 bit. Any suggestions?

Andrea (sammybuca) wrote :

I have fixed the problem, simply unistalling dropbox..... I hope this can help someone else..

Forest (foresto) wrote :

See also: #1175023

Forest (foresto) wrote :

(Oops: I guess launchpad doesn't recognize that format for bug links. Here's a direct link.)

https://bugs.launchpad.net/ubuntu/+source/lightdm/+bug/1175023

Mike (mrmikee) wrote :

Same trouble here.

Win7(Host) running VirtualBox 4.2.16
Linux Mint 14 Nadia Kernel 3.5.0-17-generic(i686) (Guest)

Guest applications Geany(1.22), Pluma(1.4.0), and Gedit (2.30.4) cannot save to existing file.
Must create new file for each save on the Vbox shared folder. Other local(guest) folders work fine.

Did not start until Virtualbox updated to 4.2.16 no problems with setup before that.

Attempting to save an existing file with modifications results in files with names like (.goutputstream-0ZD71W) etc. and warnings that the file may have been truncated.

Two solutions I have found so far are:
1.) save-as a new file name each time I make a change. (terrible)
2.) open a terminal session in that folder and use nano or vi to edit text file. (no problems)

So it seems that the drive "mount" for the shared folder is ok as nano can edit files, but the "gui apps" have an issue.

Qianqian Fang (fangq) wrote :

I am not able to log on my computer (12.04), and I noticed that everytime lightdm failed to log me in, there is a .goutputsteam-xxxx file and a sedxxxx file created under my home directory.

my computer runs nis/autofs with a home directory mapped on a file server.

I believe the bug I've seen is related to Bug #1004515, but not sure how it is related to this bug. just post here in case someone can make sense of it.

fangq@wazu:~$ ls -alt | more
total 15992
drwxr-x--- 138 fangq fangq 16384 Sep 3 13:30 .
-rw------- 1 fangq fangq 0 Sep 3 13:30 .goutputstream-8P402W
-rw-r--r-- 1 fangq fangq 35 Sep 3 13:30 .pam_environment
-rw-r--r-- 1 fangq fangq 0 Sep 3 13:30 sedP678ir
-rw------- 1 fangq fangq 0 Sep 3 13:12 .goutputstream-YAHQ2W
-rw-r--r-- 1 fangq fangq 0 Sep 3 13:12 sedHOLePA
-rw------- 1 fangq fangq 0 Sep 3 13:10 .goutputstream-NXX42W
-rw-r--r-- 1 fangq fangq 0 Sep 3 13:10 sedwABtEH
-rw------- 1 fangq fangq 0 Sep 3 12:58 .goutputstream-43DV2W
-rw-r--r-- 1 fangq fangq 0 Sep 3 12:58 sedmB4jfg
-rw------- 1 fangq fangq 0 Sep 3 12:54 .goutputstream-NOGN2W
-rw-r--r-- 1 fangq fangq 0 Sep 3 12:54 sedCaKDJQ
-rw------- 1 fangq fangq 0 Sep 3 12:54 .goutputstream-ERC02W
-rw-r--r-- 1 fangq fangq 0 Sep 3 12:54 sedBNUaTe
-rw------- 1 fangq fangq 0 Sep 3 12:53 .goutputstream-IY752W
-rw-r--r-- 1 fangq fangq 0 Sep 3 12:53 sed0tAN1Q
-rw------- 1 fangq fangq 0 Sep 3 12:51 .goutputstream-793R2W
-rw-r--r-- 1 fangq fangq 0 Sep 3 12:51 sedp2WKJN
-rw------- 1 fangq fangq 0 Sep 3 12:51 .goutputstream-L8PR2W
-rw-r--r-- 1 fangq fangq 0 Sep 3 12:51 sedqj5rwG
-rw------- 1 fangq fangq 0 Sep 3 12:49 .goutputstream-MJ0S2W
-rw-r--r-- 1 fangq fangq 0 Sep 3 12:49 sed0V3DkN
-rw------- 1 fangq fangq 0 Sep 3 12:49 .goutputstream-GSVP2W
-rw-r--r-- 1 fangq fangq 0 Sep 3 12:49 sedGnzVh8
-rw------- 1 fangq fangq 0 Sep 3 12:48 .bash_history

Id2ndR (id2ndr) wrote :

It seams like it's fixed in saucy. I encountered the trouble in precise and it seams it was related to X/lightdm because of "MIT-MAGIC-COOKIE" it contains. It often occurs at the time I shut down the computer (the friday afternoon after five days being up or suspended).

Brian Murray (brian-murray) wrote :

The commit mentioned by seb128 in comment #102 has been committed to glib2.0 in Saucy, so that bug task will be marked as Fix Released. However, it should probably also be fixed in Ubuntu 12.04 (Precise).

Changed in glib2.0 (Ubuntu):
status: Fix Committed → Fix Released
Brian Murray (brian-murray) wrote :

If there is anybody interested in seeing this fixed in Precise and willing to perform SRU verification as detailed at http://wiki.ubuntu.com/StableReleaseUpdates, please add a comment to this bug. This way I'll know whether or not there is interest in seeing this fixed.

Paddy Landau (paddy-landau) wrote :

@brian-murray: For 12.04, unless this bug causes failures for people, I wonder if the fix is worth the potential risk in an LTS, especially as the next LTS, 14.04, is only 6-7 months away.

However, if you do release the code for testing, I shall be happy to test it.

Jochen Fahrner (jofa) wrote :

I found those files not only in my $HOME, but also in my NFS mounted NAS.

Displaying first 40 and last 40 comments. View all 132 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.